<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreateDepartamentosTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateDepartamentosLabel_departamentoId}" for="departamentoId" />
                    <h:inputText id="departamentoId" value="#{departamentosController.selected.departamentoId}" title="#{bundle.CreateDepartamentosTitle_departamentoId}" required="true" requiredMessage="#{bundle.CreateDepartamentosRequiredMessage_departamentoId}"/>
                    <h:outputLabel value="#{bundle.CreateDepartamentosLabel_departamentoNombre}" for="departamentoNombre" />
                    <h:inputText id="departamentoNombre" value="#{departamentosController.selected.departamentoNombre}" title="#{bundle.CreateDepartamentosTitle_departamentoNombre}" required="true" requiredMessage="#{bundle.CreateDepartamentosRequiredMessage_departamentoNombre}"/>
                </h:panelGrid>
                <br />
                <h:commandLink action="#{departamentosController.create}" value="#{bundle.CreateDepartamentosSaveLink}" />
                <br />
                <br />
                <h:commandLink action="#{departamentosController.prepareList}" value="#{bundle.CreateDepartamentosShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.CreateDepartamentosIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
